- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MTemplateContextCommand< ContextCommandName, ContextCommandClass, ContextClass > Class Template Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

### template<const char * ContextCommandName, class ContextCommandClass, class ContextClass>
class MTemplateContextCommand< ContextCommandName, ContextCommandClass, ContextClass >

Template class for context commands.

Template helper to build command that is used to create context.

Parameters:

  [in] | ContextCommandName | : string name of context command
  [in] | ContextCommandClass | : context command derived from MPxContextCommand
  [in] | ContextClass | : context derived from MPxSelectionContext

Examples:

  lineManipContainer.cpp, and squareScaleManipContext.cpp.

`#include <MTemplateManipulator.h>`

Inheritance diagram for MTemplateContextCommand< ContextCommandName, ContextCommandClass, ContextClass >:
[legend]

List of all members.

## Public Member Functions
| MTemplateContextCommand ()
| Constructor.
virtual MPxContext * | makeObj ()
| Command function for make the context.
## Static Public Member Functions Search for all occurrences
static void * | creator ()
| Creator of the context command.
static MStatus | registerContextCommand (MObject obj)
| Plug-in registration method.
static MStatus | deregisterContextCommand (MObject obj)
| Plug-in deregistration method. Search for all occurrences

## Member Function Documentation

static MStatus registerContextCommand | ( | MObject | obj | ) | `[inline, static]`

Search for all occurrences

Plug-in registration method.

Parameters:

  [in] | obj | plugin object taken from the initializePlugin() entry point.

static MStatus deregisterContextCommand | ( | MObject | obj | ) | `[inline, static]`

Search for all occurrences

Plug-in deregistration method.

Parameters:

  [in] | obj | plugin object taken from the initializePlugin() entry point.